#include <iocslib.h>
#include "deftype.h"

int binkey2()
/* リアルタイムキー入力（マウス非対応）*/
{
unint c;
	if (!B_KEYSNS()) return(0); /* キー入力なし */
	/* キー入力有り */
	c=B_KEYINP();
	
	/* 修飾キー（SHIFT/CTRLなど）単独のときは入力しない */
	if ((c>=0x5a00 && c<=0x5d00)||c==0x5f00||c==0x6000||c>=0x6d00) return(0);
	
	/* 特殊キーの時のみ SHIFT/CTRL/OPT.1/OPT.2 判定 */
	if ((c&0xff)==0x00) c=(c&0xff00)|BITSNS(0x0e);
	return(c);
}
